QT       += core gui network serialport sql printsupport

greaterThan(QT_MAJOR_VERSION, 4): QT += widgets

CONFIG += c++11

# The following define makes your compiler emit warnings if you use
# any Qt feature that has been marked deprecated (the exact warnings
# depend on your compiler). Please consult the documentation of the
# deprecated API in order to know how to port your code away from it.
DEFINES += QT_DEPRECATED_WARNINGS

# You can also make your code fail to compile if it uses deprecated APIs.
# In order to do so, uncomment the following line.
# You can also select to disable deprecated APIs only up to a certain version of Qt.
#DEFINES += QT_DISABLE_DEPRECATED_BEFORE=0x060000    # disables all the APIs deprecated before Qt 6.0.0

include($$PWD/pqQtlib/pqQtlib.pri)

msvc{
    QMAKE_CFLAGS += -source-charset:utf-8
    QMAKE_CXXFLAGS += -source-charset:utf-8
}


SOURCES += \
    configinfo.cpp \
    globalinfo.cpp \
    handle/autosyncpackinfo.cpp \
    handle/printer/boxtemlateone.cpp \
    handle/printer/code39.cpp \
    handle/httprequest.cpp \
    handle/printerthreadhandle.cpp \
    handle/seriport/logserialport.cpp \
    handle/packinfomanger.cpp \
    handle/packinfoseed2server.cpp \
    handle/printer/baseboxprinter.cpp \
    handle/printer/printermanger.cpp \
    handle/projectinfomanger.cpp \
    handle/remotepackconfig.cpp \
    handle/seriport/rtuport.cpp \
    handle/seriport/assictscalet2000.cpp \
    handle/seriport/serialbasehandle.cpp \
    handle/serialthreadhandle.cpp \
    struct_/modelinfo.cpp \
    struct_/packinfo.cpp \
    struct_/projectinfo.cpp \
    widget/addnewspecsform.cpp \
    widget/displaysettingsform.cpp \
    widget/editboxinfodialog.cpp \
    widget/fixedweightpackform.cpp \
    widget/loginform.cpp \
    main.cpp \
    mainwindow.cpp \
    widget/modelselectform.cpp \
    widget/packdetailform.cpp \
    widget/selectvalueform.cpp \
    widget/settingsform.cpp \
    widget/shortcutconfig.cpp \
    widget/showmadanlabelform.cpp \
    widget/showxiangdanlabelform.cpp \
    widget/statisticsform.cpp \
    widget/uncertainweightpackform.cpp

HEADERS += \
    configinfo.h \
    globalinfo.h \
    handle/autosyncpackinfo.h \
    handle/printer/boxtemlateone.h \
    handle/printer/code39.h \
    handle/httprequest.h \
    handle/packinfomanger.h \
    handle/packinfoseed2server.h \
    handle/printer/baseboxprinter.h \
    handle/printer/printermanger.h \
    handle/printerthreadhandle.h \
    handle/projectinfomanger.h \
    handle/seriport/logserialport.h \
    handle/remotepackconfig.h \
    handle/seriport/rtuport.h \
    handle/seriport/assictscalet2000.h \
    handle/seriport/serialbasehandle.h \
    handle/serialthreadhandle.h \
    struct_/modelinfo.h \
    struct_/packinfo.h \
    struct_/projectinfo.h \
    widget/addnewspecsform.h \
    widget/displaysettingsform.h \
    widget/editboxinfodialog.h \
    widget/fixedweightpackform.h \
    widget/loginform.h \
    mainwindow.h \
    widget/modelselectform.h \
    widget/packdetailform.h \
    widget/selectvalueform.h \
    widget/settingsform.h \
    widget/shortcutconfig.h \
    widget/showmadanlabelform.h \
    widget/showxiangdanlabelform.h \
    widget/statisticsform.h \
    widget/uncertainweightpackform.h

FORMS += \
    widget/addnewspecsform.ui \
    widget/displaysettingsform.ui \
    widget/editboxinfodialog.ui \
    widget/fixedweightpackform.ui \
    widget/loginform.ui \
    mainwindow.ui \
    widget/modelselectform.ui \
    widget/packdetailform.ui \
    widget/selectvalueform.ui \
    widget/settingsform.ui \
    widget/shortcutconfig.ui \
    widget/showmadanlabelform.ui \
    widget/showxiangdanlabelform.ui \
    widget/statisticsform.ui \
    widget/uncertainweightpackform.ui

# Default rules for deployment.
qnx: target.path = /tmp/$${TARGET}/bin
else: unix:!android: target.path = /opt/$${TARGET}/bin
!isEmpty(target.path): INSTALLS += target

RESOURCES += \
    images.qrc
